- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Static Public Member Functions
Tolerance< float > Class Template Reference
Miscellaneous Tools

## Detailed Description

### template<>
class lemon::Tolerance< float >

Float specialization of Tolerance.

See Also
  Tolerance

`#include <lemon/tolerance.h>`

## Public Types
typedef float | Value

## Public Member Functions
| Tolerance ()
| Constructor setting the epsilon tolerance to the default value.
| Tolerance (float e)
| Constructor setting the epsilon tolerance to the given value.
Value | epsilon () const
| Returns the epsilon value.
void | epsilon (Value e)
| Sets the epsilon value.
Comparisons
See Tolerance for more details.
bool | less (Value a, Value b) const
| Returns `true` if `a` is surely strictly less than `b`.
bool | different (Value a, Value b) const
| Returns `true` if `a` is surely different from `b`.
bool | positive (Value a) const
| Returns `true` if `a` is surely positive.
bool | negative (Value a) const
| Returns `true` if `a` is surely negative.
bool | nonZero (Value a) const
| Returns `true` if `a` is surely non-zero.

## Static Public Member Functions
static Value | defaultEpsilon ()
| Returns the default epsilon value.
static void | defaultEpsilon (Value e)
| Sets the default epsilon value.
static Value | zero ()
| Returns zero.